#!/bin/sh
export PATH='/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: deepseq-generics
version: 0.1.1.2
id: deepseq-generics-0.1.1.2-5a4bfc69b65a1a32d07470aa9374fd36
key: deeps_DEEECRcRDqs7mEZKKfUYi6
license: BSD3
copyright: 2012, Herbert Valerio Riedel
maintainer: hvr@gnu.org
homepage: https://github.com/hvr/deepseq-generics
synopsis: GHC.Generics-based Control.DeepSeq.rnf implementation
description:
    This package provides a "GHC.Generics"-based
    '\''Control.DeepSeq.Generics.genericRnf'\'' function which can be used
    for providing a '\''rnf'\'' implementation. See the documentation for
    the '\''genericRnf'\'' function in the "Control.DeepSeq.Generics" module
    to get started.
    .
    The original idea was pioneered in the @generic-deepseq@ package
    (see <http://www.haskell.org/pipermail/haskell-cafe/2012-February/099551.html>
    for more information).
    .
    This package differs from the @generic-deepseq@ package by working
    in combination with the existing @deepseq@ package as opposed to
    defining a conflicting drop-in replacement for @deepseq@'\''s
    @Control.Deepseq@ module.
    .
    Note: The ability to auto-derive via "GHC.Generics" has been
    merged into @deepseq-1.4.0.0@. This package is now still useful
    for writing code that'\''s also compatible with older @deepseq@
    versions not yet providing "GHC.Generics"-support.
category: Control
author: Herbert Valerio Riedel
exposed: True
exposed-modules:
    Control.DeepSeq.Generics
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/deepseq-generics-0.1.1.2
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/deepseq-generics-0.1.1.2
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/deepseq-generics-0.1.1.2
hs-libraries: HSdeepseq-generics-0.1.1.2-DEEECRcRDqs7mEZKKfUYi6
include-dirs: /usr/local/include
depends:
    base-4.8.1.0-9cc67f4e5e6328730727313d0bc5e35f
    deepseq-1.4.1.1-264f30222df8f26ad705894f660a17b6
    ghc-prim-0.4.0.0-2dabcc93617d9a564f2855dd307d7dfb
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/deepseq-generics-0.1.1.2/html/deepseq-generics.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/deepseq-generics-0.1.1.2/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
